For AI agents: visit https://developers.halaxy.com/llms.txt for an index of all pages formatted in Markdown and endpoints in OpenAPI. Append .md to any documentation page URL to get its markdown version.
The Patient resource represents individuals who receive care or services within the Halaxy system
This resource allows the retrieval of patient records, ensuring that healthcare providers can access and manage patient data efficiently. Key attributes include personal details, contact details and demographic information.
For more information on managing patients in Halaxy, see our Help Guide.
Endpoints
Endpoint
Operation
Description
GET/main/Patient
List Patients
Return a list or collection of patients
GET/main/Patient/{id}
Get Patient
Return an individual patient record
POST/main/Patient
Create Patient
Create a patient record
PATCH/main/Patient/{id}
Update Patient
Update specific fields in a patient record
PUT/main/Patient/{id}
Replace Patient
Replaces all data in a patient record
GET/main/Patient/$export-ids
Export Patient IDs
Export a list of patient references that the user is allowed to access
Schema
Property
Description
id
string
The patient ID in the practice group
active
boolean
Indicates whether this patient profile is active - this depends on the patient status.
The following patient statuses are considered active: CurrentClaimantContact
name
array of objects
The name of the patient
use
The type of name
official - legal name registered in government
usual - preferred name
given
Given name (may include middle name)
family
Surname
prefix
Title before the patient's name - e.g. Mr, Mrs, Ms, Dr
telecom
array of objects
The patient's contact number/s or email address/es
Indicates if the patient is deceased - based on patient status
address
array of objects
The patient's address/es
usestring
The purpose of this address
homeworkbillingmailing
typestring
Distinguishes between a physical address and mailing address
postalphysicalboth
linearray of strings
Contains the house number, apartment number, P.O. box number, street name.
citystring
statestring
postalCodestring
countrystringmin 2 characters
The ISO 3166 two-letter code - e.g. AUCA
contact
array of objects
A contact person for the patient (e.g. emergency contact)
id The contact's own patient ID. Use it with GET /main/Patient/{id} to retrieve the contact's full record (i.e. a dependant's parent)
name The name of the contact person
telecom The contact details of the contact person
relationship The relationship property for each contact person must include these two properties with coding systems: contact relationship and contact type
patient-contactPriority
The order of this contact in the extension array. 1 is the primary contact, 2 the next.